### Method

# Gio SocketClient get_proxy_resolver

since: 2.36

#### Declaration

    GProxyResolver*
    g_socket_client_get_proxy_resolver (
      GSocketClient* client
    )

#### Description

Gets the `GProxyResolver` being used by `client`. Normally, this will be the resolver returned by g_proxy_resolver_get_default(), but you can override it with g_socket_client_set_proxy_resolver().

Available since: 2.36

Gets property | `Gio.SocketClient:proxy-resolver`

#### Return value

Type: `GProxyResolver`

The `GProxyResolver` being used by `client`.

The data is owned by the instance.